Name:           cockpit-image-builder
Version:        57
Release:        1.20250205105749249007.pr2848.10.ga5165fc2%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-58.tar.gz

# Drop obsoletes until functional enough compared to cockpit-composer
# Obsoletes:      cockpit-composer < 54
# Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 103

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Wed Feb 5 2025 Packit <hello@packit.dev> - 57-1.20250205105749249007.pr2848.10.ga5165fc2
- store/cockpitApi: add notification when composing images (Sanne Raymaekers)
- Blueprints/helpers: fix mapping hosted to on prem (Sanne Raymaekers)
- CreateImageWizard: fix systemd validator (Sanne Raymaekers)
- README: Update scripts for running prod and stage (regexowl)
- store/cockpitApi: fix deleting blueprints (Sanne Raymaekers)
- CreateImageWizard: support edit mode on premise (Sanne Raymaekers)
- store/wizardSlice: default to 'register-later' when on-premise (Sanne Raymaekers)
- Utilities/useGetEnvironment: support feature flags on prem (Sanne Raymaekers)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
